hack4glarus-2020-winter - Task #8673

The IPv6 ULA registry project
12/04/2020 01:03 PM - Nico Schottelius

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Ahmed Bilal % Done:
Category: Estimated time:

Target version:
PM Check date:

12/04/2020

0%
0.00 hour

Description

Introduction

e Sixxs has stopped being a ULA registry

e People are still demanding a ULA registry
Let's build one together!
https://www.sixxs.net/tools/grh/ula/list/

Implementation

e | suggest to use Django as we have some django hackers around

Features

user db from Idap

user can login - create networks
list of networks is public

maybe allowing searching?
Should import the sixxs list

Deployment

¢ Deploying on ula.ungleich.ch (Alpine, Django-Hosting)
¢ |Pv6 only + IPv6 proxy

History

#1 - 12/04/2020 04:13 PM - Nico Schottelius
- Description updated

#2 - 12/04/2020 05:07 PM - Nico Schottelius
- Description updated

#3 - 12/04/2020 06:00 PM - Nico Schottelius
- Description updated

- Assignee set to Ahmed Bilal

#4 - 12/05/2020 09:27 AM - Nico Schottelius

- Status changed from New to In Progress

#5 - 12/05/2020 10:29 AM - Nico Schottelius

- Description updated

#6 - 12/05/2020 10:30 AM - Nico Schottelius

- Description updated
https://www.sixxs.net/tools/grh/ula/list/

#7 - 12/05/2020 11:02 AM - Nico Schottelius
Deploying:
rmdir ~/app/
git clone git@code.ungleich.ch:ungleich-public/ipvéula.git app
cd app/
~/pyvenv/bin/activate
pip install -r requirements.txt

python manage.py migrate

# manually creating local_settings.py with ldap secrets and using postgresql
vi ipvéula/local_settings.py

python manage.py migrate

# Not needed, files are not collected but only in /static anyway
#python manage.py collectstatic

apk add openldap-dev

#8 - 12/06/2020 03:50 PM - Nico Schottelius

- Status changed from In Progress to Closed
